pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator Class Reference

Creates a FLANN KdTreeIndex of multiple randomized trees from the given input data, suitable for feature matching. More...

`#include <pcl/search/flann_search.h>`

Inheritance diagram for pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator:

## Public Member Functions

| KdTreeMultiIndexCreator (int trees=4)
virtual | ~KdTreeMultiIndexCreator ()
| Empty destructor. More...
virtual IndexPtr | createIndex (MatrixConstPtr data)
| Create a FLANN Index from the input data. More...
Public Member Functions inherited from pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator
virtual | ~FlannIndexCreator ()
| destructor More...

## Detailed Description

### template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>
class pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator

Creates a FLANN KdTreeIndex of multiple randomized trees from the given input data, suitable for feature matching.

Note that in this case, it is often more efficient to use the flann::L2 distance functor.

Definition at line 196 of file flann_search.h.

## Constructor & Destructor Documentation

## KdTreeMultiIndexCreator()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator::KdTreeMultiIndexCreator | ( | int | trees = `4` | ) |

inline

Parameters

  [in] | trees | Number of randomized trees to create.

Definition at line 201 of file flann_search.h.

## ~KdTreeMultiIndexCreator()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

virtual pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator::~KdTreeMultiIndexCreator | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 204 of file flann_search.h.

## Member Function Documentation

## createIndex()

template<typename PointT , typename FlannDistance >

pcl::search::FlannSearch< PointT, FlannDistance >::IndexPtr pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator::createIndex | ( | MatrixConstPtr | data | ) |

virtual

Create a FLANN Index from the input data.

Parameters

  [in] | data | The FLANN matrix containing the input.

Returns
  The FLANN index.

Implements pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator.

Definition at line 65 of file flann_search.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/search/include/pcl/search/flann_search.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/search/include/pcl/search/impl/flann_search.hpp